curl --request POST \
--url https://api.rootfi.dev/v3/accounting/sales_orders \
--header 'Content-Type: application/json' \
--header 'api_key: <api-key>' \
--data '{
"company_id": 1,
"data": [
{
"contact_id": "123456",
"document_number": "ROOTFI01",
"posted_date": "2021-09-28T15:00:00.000Z",
"delivery_date": "2021-09-28T15:00:00.000Z",
"currency_id": "GBP",
"invoice_ids": [],
"line_items": [
{
"account_id": "123456",
"quantity": 1,
"item_id": "123456",
"tax_id": "123456",
"unit_amount": 100,
"total_discount": 0,
"description": "Test Item"
}
]
}
]
}'
import { RootFiClient } from "rootfi-api";
const rootfi = new RootFiClient({ apiKey: "<api_key>" });
await rootfi.accounting.salesOrder.create({
company_id: 1,
data: [
{
contact_id: "123456",
document_number: "ROOTFI01",
posted_date: "2021-09-28T15:00:00.000Z",
delivery_date: "2021-09-28T15:00:00.000Z",
currency_id: "GBP",
invoice_ids: [],
line_items: [
{
account_id: "123456",
quantity: 1,
item_id: "123456",
tax_id: "123456",
unit_amount: 100,
total_discount: 0,
description: "Test Item",
},
],
},
],
});
{
"data": {
"rootfi_id": 123,
"rootfi_deleted_at": null,
"rootfi_created_at": "2024-01-25T09:00:00Z",
"rootfi_updated_at": "2024-01-25T09:00:00Z",
"rootfi_company_id": 123,
"platform_id": "123456_1",
"platform_unique_id": "123456",
"posted_date": "2024-01-25T09:00:00Z",
"description": "Example Description",
"currency_id": "123456",
"currency_rate": 1,
"sub_total": 1000,
"total_amount": 1000,
"total_discount": 100,
"tax_amount": 100,
"updated_at": "2024-01-25T09:00:00Z",
"invoice_ids": [
"123456"
],
"delivery_date": "2024-01-25T09:00:00Z",
"document_number": "123456",
"status": "Example Status",
"contact_id": "123456",
"line_items": [
{
"rootfi_id": 157,
"platform_id": "123456",
"line_item_type": "INVOICES",
"line_item_type_id": "123456",
"tracking_category_ids": [
"123456"
],
"project_id": "123456",
"item_id": "123456",
"tax_id": "123456",
"account_id": "123456",
"description": "This is a description",
"quantity": 1,
"unit_amount": 100,
"total_amount": 100,
"sub_total": 100,
"tax_amount": 100,
"total_discount": 100,
"updated_at": "2024-01-22T05:07:31.000Z"
}
]
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"field": "<string>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"field": "<string>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"field": "<string>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"field": "<string>"
}
}Sales Orders
Create Sales Orders
Create a new Sales Orders.
POST
/
accounting
/
sales_orders
curl --request POST \
--url https://api.rootfi.dev/v3/accounting/sales_orders \
--header 'Content-Type: application/json' \
--header 'api_key: <api-key>' \
--data '{
"company_id": 1,
"data": [
{
"contact_id": "123456",
"document_number": "ROOTFI01",
"posted_date": "2021-09-28T15:00:00.000Z",
"delivery_date": "2021-09-28T15:00:00.000Z",
"currency_id": "GBP",
"invoice_ids": [],
"line_items": [
{
"account_id": "123456",
"quantity": 1,
"item_id": "123456",
"tax_id": "123456",
"unit_amount": 100,
"total_discount": 0,
"description": "Test Item"
}
]
}
]
}'
import { RootFiClient } from "rootfi-api";
const rootfi = new RootFiClient({ apiKey: "<api_key>" });
await rootfi.accounting.salesOrder.create({
company_id: 1,
data: [
{
contact_id: "123456",
document_number: "ROOTFI01",
posted_date: "2021-09-28T15:00:00.000Z",
delivery_date: "2021-09-28T15:00:00.000Z",
currency_id: "GBP",
invoice_ids: [],
line_items: [
{
account_id: "123456",
quantity: 1,
item_id: "123456",
tax_id: "123456",
unit_amount: 100,
total_discount: 0,
description: "Test Item",
},
],
},
],
});
{
"data": {
"rootfi_id": 123,
"rootfi_deleted_at": null,
"rootfi_created_at": "2024-01-25T09:00:00Z",
"rootfi_updated_at": "2024-01-25T09:00:00Z",
"rootfi_company_id": 123,
"platform_id": "123456_1",
"platform_unique_id": "123456",
"posted_date": "2024-01-25T09:00:00Z",
"description": "Example Description",
"currency_id": "123456",
"currency_rate": 1,
"sub_total": 1000,
"total_amount": 1000,
"total_discount": 100,
"tax_amount": 100,
"updated_at": "2024-01-25T09:00:00Z",
"invoice_ids": [
"123456"
],
"delivery_date": "2024-01-25T09:00:00Z",
"document_number": "123456",
"status": "Example Status",
"contact_id": "123456",
"line_items": [
{
"rootfi_id": 157,
"platform_id": "123456",
"line_item_type": "INVOICES",
"line_item_type_id": "123456",
"tracking_category_ids": [
"123456"
],
"project_id": "123456",
"item_id": "123456",
"tax_id": "123456",
"account_id": "123456",
"description": "This is a description",
"quantity": 1,
"unit_amount": 100,
"total_amount": 100,
"sub_total": 100,
"tax_amount": 100,
"total_discount": 100,
"updated_at": "2024-01-22T05:07:31.000Z"
}
]
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"field": "<string>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"field": "<string>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"field": "<string>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"field": "<string>"
}
}A Sales order is a record of goods or services sold to a customer
Additional Required Fields
To successfully create a sales order, certain fields must be included in the raw_data object of the request body. The required fields are as follows:| Integration | Field | Description |
|---|---|---|
| MYOB_BUSINESS | tax_code | The tax code for the sales order |
| QOYOD | quotation_no | The quotation number for the sales order |
| QOYOD | expiry_date | The expiry date of the quotation |
| QOYOD | inventory_id | The inventory id of the sales order |
curl --request POST \
--url https://api.rootfi.dev/v3/accounting/sales_orders \
--header 'Content-Type: application/json' \
--header 'api_key: <api-key>' \
--data '{
"company_id": 1,
"data": [
{
"contact_id": "123456",
"document_number": "ROOTFI01",
"posted_date": "2021-09-28T15:00:00.000Z",
"delivery_date": "2021-09-28T15:00:00.000Z",
"currency_id": "GBP",
"invoice_ids": [],
"line_items": [
{
"account_id": "123456",
"quantity": 1,
"item_id": "123456",
"tax_id": "123456",
"unit_amount": 100,
"total_discount": 0,
"description": "Test Item"
}
]
}
]
}'
import { RootFiClient } from "rootfi-api";
const rootfi = new RootFiClient({ apiKey: "<api_key>" });
await rootfi.accounting.salesOrder.create({
company_id: 1,
data: [
{
contact_id: "123456",
document_number: "ROOTFI01",
posted_date: "2021-09-28T15:00:00.000Z",
delivery_date: "2021-09-28T15:00:00.000Z",
currency_id: "GBP",
invoice_ids: [],
line_items: [
{
account_id: "123456",
quantity: 1,
item_id: "123456",
tax_id: "123456",
unit_amount: 100,
total_discount: 0,
description: "Test Item",
},
],
},
],
});
Authorizations
Body
application/json